Bug 248623 - signal.py missing
Summary: signal.py missing
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pygtk2   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-17 19:50 UTC by Knut-Håvard Aksnes
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 15:39:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Knut-Håvard Aksnes 2007-07-17 19:50:43 UTC
Description of problem:
Several packages do import signal but none seems to define it.
The bug might be reported on the wrong package but pygth2 seems to have included
 a signal.py before.

Version-Release number of selected component (if applicable):
I am using the new wxPython version:
wxPython-devel-2.8.4.0-1.fc8
compat-wxPythonGTK2-2.4.2.4-15.fc7
wxPython-2.8.4.0-1.fc8
pygtk2-2.10.6-1.fc7
How reproducible:
Picard from Musicbrainz hangs during startup.

Steps to Reproduce:
1. Download picard from www.musicbrainz.org
2. Unpack the tar file.
3. Edit the file picard/tagger.py
    Change the line:
    wxversion.select(["2.6", "2.7"])
    to
    wxversion.select(["2.6", "2.7", "2.8"])
4. Run 
     PYTHONVERBOSE=2 PYTHONDEBUG=2 ./tagger.py 
   in the top level picard directory.


  
Actual results:
An unfinished picard window pops up, startup hangs with the output ending in:
# trying /home/kha/build/picard-0.7.2/picard/ui/nagdialog.so
# trying /home/kha/build/picard-0.7.2/picard/ui/nagdialogmodule.so
# trying /home/kha/build/picard-0.7.2/picard/ui/nagdialog.py
# /home/kha/build/picard-0.7.2/picard/ui/nagdialog.pyc matches
/home/kha/build/picard-0.7.2/picard/ui/nagdialog.py
import picard.ui.nagdialog # precompiled from
/home/kha/build/picard-0.7.2/picard/ui/nagdialog.pyc
# trying /home/kha/build/picard-0.7.2/picard/usercheck.so
# trying /home/kha/build/picard-0.7.2/picard/usercheckmodule.so
# trying /home/kha/build/picard-0.7.2/picard/usercheck.py
# /home/kha/build/picard-0.7.2/picard/usercheck.pyc matches
/home/kha/build/picard-0.7.2/picard/usercheck.py
import picard.usercheck # precompiled from
/home/kha/build/picard-0.7.2/picard/usercheck.pyc
# trying /usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/signal.so
# trying /usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/signalmodule.so
# trying /usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/signal.py
# trying /usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/signal.

Expected results:

A working pickard music file tagger

Additional info:
This bug was uncovered after the upgrade to wxPython 2.8 see bug 244592

Comment 1 Matthew Barnes 2007-07-18 15:00:37 UTC
The signal module is provided by Python's Standard Library.

http://docs.python.org/lib/module-signal.html



Comment 2 Matthew Barnes 2007-10-02 15:39:48 UTC
Closing as NOTABUG.  Feel free to reopen if I'm wrong.


Note You need to log in before you can comment on or make changes to this bug.